osl::record Namespace Reference

棋譜関係 More...

## Namespaces

namespace | ki2
namespace | myshogi

## Classes

class | CheckDuplicate
| Container of moves to check duplicated games. More...
class | CsaFile
class | KanjiMove
| Parse kanji records such as "７六歩", the style of which is generally used to write Shogi records in Japanese. More...
class | Color
| カラーコードを保持するクラス。 More...
class | ChangeShellColor
| shellの文字出力にて、色を変える。 More...
class | Characters
| 駒の文字を管理するAbstract class。 More...
struct | StandardCharacters
| 持ち駒用（標準文字） More...
struct | RussianCharacters
| ロシア文字（激指フォント用） More...
struct | KIFCharacters
| 柿木形式（KIF）。頭にv More...
class | KanjiPrint
| 局面を漢字でカラーで表示する. More...
class | KisenUtils
class | KisenFile
| 「.kif」という拡張子を持つ棋泉形式ファイル. More...
class | KisenIpxFile
| 「.ipx」という拡張子を持つ棋泉形式ファイル. More...
class | KisenPlusFile
| 「.kpf」という拡張子を持つ棋泉プラス形式ファイル. More...
class | KisenWriter
class | KisenIpxWriter
| 「.ipx」という拡張子を持つ棋泉形式ファイル. More...
struct | Record
class | RecordFile
struct | SearchInfo

## Functions

std::ostream & | operator<< (std::ostream &os, const Color &c)
std::string | kanjiNumber (const int n)
| 漢数字を返す（持ち駒の数などで用いる）
std::ostream & | operator<< (std::ostream &os, const Record &r)

## Detailed Description

棋譜関係

## Function Documentation

## kanjiNumber()

std::string osl::record::kanjiNumber | ( | const int | n | ) |

漢数字を返す（持ち駒の数などで用いる）

Definition at line 68 of file kanjiPrint.cc.

References K_K1, K_K10, K_K11, K_K12, K_K13, K_K14, K_K15, K_K16, K_K17, K_K18, K_K2, K_K3, K_K4, K_K5, K_K6, K_K7, K_K8, and K_K9.

## operator<<() [1/2]

std::ostream & osl::record::operator<< | ( | std::ostream & | os,
|  | const Color & | c )

Definition at line 155 of file kanjiPrint.cc.

References osl::record::Color::value.

## operator<<() [2/2]

std::ostream & osl::record::operator<< | ( | std::ostream & | os,
|  | const Record & | r )

Definition at line 115 of file record.cc.

References osl::BLACK, osl::RecordMinimal::initial_state, osl::RecordMinimal::moves, osl::record::Record::player, osl::record::Record::record, osl::record::Record::version, and osl::WHITE.